Skip to main content
GET
/
pools
/
info
/
lps
Get pools by LP mint
curl --request GET \
  --url https://api-v3.raydium.io/pools/info/lps
import requests

url = "https://api-v3.raydium.io/pools/info/lps"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api-v3.raydium.io/pools/info/lps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "success": true,
  "msg": "<string>",
  "data": [
    {
      "id": "<string>",
      "type": "<string>",
      "programId": "<string>",
      "lpMint": "<string>",
      "mint1": {},
      "mint2": {},
      "tvl": 123,
      "lpPrice": 123,
      "farmOngoingCount": 123,
      "day": {},
      "week": {},
      "month": {}
    }
  ]
}

Query Parameters

lps
string
required

Comma-separated LP mint addresses

Response

200 - application/json

Success

Common response envelope. The data field is supplied by each endpoint's response schema via allOf and is therefore not declared on the base envelope.

id
string
required

Request ID (UUID)

success
boolean
required

Whether the request was successful

msg
string

Error message if success is false

data
object[]